require 'optparse'
module Kinetic
  module CLI

    COMMANDS = %w{run start stop}

    PARSER = OptionParser.new do |opts|
      opts.banner = "Usage #{File.basename($0)} (#{COMMANDS.join('|')}) [options]"
    end

  end

  if ARGV.empty? || (ARGV[0] && CLI::COMMANDS.include?(ARGV[0]))
    require 'kinetic/version'
    require 'kinetic/base'

    class Application < Base
    end

    at_exit { Master.new(Application.instance).send(ARGV[0] || 'run') if $!.nil? }
  else
    puts CLI::PARSER.banner
    exit(1)
  end

end

extend Kinetic::Delegator