require 'yaml'
module Kinetic
  module DSL
    module Configuration

      # Sets a configuration value
      #
      # @param [Symbol] key the configuration key to set
      # @param [Symbol] value the configuration value
      #
      # @return [Boolean] returns true
      def set(key, value)
        logger.debug "Setting '#{key}' to '#{value}'"
        config[key.to_sym] = value
        true
      end

      # Set configuration file.
      #
      # @param [String] path to configuration file
      #
      # @return [Boolean] returns true
      def config_file(file)
        set :config_file, File.expand_path(file)
        config.configure(YAML.load(File.new(config.config_file, 'r')))
        true
      end

      def config
        @config ||= Kinetic::Configuration.new
      end


    end
  end
end