module Kinetic
  module Errors

    class KineticError < StandardError; end

    class BlockMissing      < KineticError; end
    class NoSubscriberBlock < BlockMissing; end
    class KeyMustBeString   < KineticError; end

    # Raised when a configuration value is accessed via accessor when it is not set.
    #
    # @example
    #  require 'kinetic'
    #
    #  set host: 'localhost'
    #  set port: 5674
    #
    #  puts config.unset_configuration_value # raises MissingConfigurationValue
    class MissingConfigurationValue < KineticError

      def initialize(key)
        super "Expected configuration for '#{key}' but the configuration was not found."
      end

    end


  end
end